#include <iostream>

using namespace std;

int main()
{
    int x1,y1,x2,y2, n, m, z;
    scanf("%d%d",&x1,&y1);
    scanf("%d%d",&x2,&y2);
    if(x1==x2||y1==y2)
        z=2;
    else
    {
        if(abs(x1-x2)==abs(y1-y2))
            z=1;
        else z=0;
    }
    printf("%d",z);
}